{% load wagtailcore_tags wagtailimages_tags %}
{% firstof self.page.url self.link as target %}

<div class="card {% if self.hoveractive %}card--hoveractive{% endif %}">
  {% if self.img %}
    {% image self.img width-356 as img %}
    {% if target %}
      <a href="{{ target }}">
        <img class="w-full h-48 object-cover" src="{{ img.url }}" alt="{{ img.alt }}" />
      </a>
    {% else %}
      <img class="w-full h-48 object-cover" src="{{ img.url }}" alt="{{ img.alt }}" />
    {% endif %}
  {% endif %}
  <div class="card__body">
    {% if self.headline %}
      <h1 class="card-headline mb-2">
      {% if target %}
            <a href="{{ target }}">{{ self.headline }}</a>
        {% else %}
          {{ self.headline }}
        {% endif %}
      </h1>
    {% endif %}

    <div class="card-body-text">
      {% for block in self.content %}
        {% include_block block %}
      {% endfor %}
    </div>
  </div>
</div>
